Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl
Interface ImageData

All Known Subinterfaces:
  LoadableImageData

All Known Implementing Classes:
  CompositeImageData, EmptyImageData, ImageBuffer, ImageIOImageData, PNGImageData, TGAImageData

    public interface ImageData

A description of any class providing ImageData in a form suitable for OpenGL texture creation.

Author:
  kevin

Method Summary
`int` | `getDepth()` Get the last bit depth read from a TGA
`int` | `getHeight()` Get the last height read from a TGA
`java.nio.ByteBuffer` | `getImageBufferData()` Get the store image
`int` | `getTexHeight()` Get the ast required texture height for a loaded image
`int` | `getTexWidth()` Get the last required texture width for a loaded image
`int` | `getWidth()` Get the last width read from a TGA

Method Detail

### getDepth

    int getDepth()

  Get the last bit depth read from a TGA

  Returns:
    The last bit depth read

### getWidth

    int getWidth()

  Get the last width read from a TGA

  Returns:
    Get the last width in pixels fread from a TGA

### getHeight

    int getHeight()

  Get the last height read from a TGA

  Returns:
    Get the last height in pixels fread from a TGA

### getTexWidth

    int getTexWidth()

  Get the last required texture width for a loaded image

  Returns:
    Get the ast required texture width for a loaded image

### getTexHeight

    int getTexHeight()

  Get the ast required texture height for a loaded image

  Returns:
    Get the ast required texture height for a loaded image

### getImageBufferData

    java.nio.ByteBuffer getImageBufferData()

  Get the store image

  Returns:
    The stored image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.